org.eclipse.wst.jsdt.chromium.debug.core.model

## Class BreakpointSynchronizer

- java.lang.Object
- - org.eclipse.wst.jsdt.chromium.debug.core.model.BreakpointSynchronizer

    public class BreakpointSynchronizer
    extends java.lang.Object

A class responsible for comparing breakpoints in workspace and on remote VM and synchronizing them in both directions. `BreakpointSynchronizer.Direction.RESET_REMOTE` allows several synchronization jobs to different VMs.

### Nested Class Summary

Nested Classes
`static interface` `BreakpointSynchronizer.BreakpointHelper` Additional interface used by `BreakpointSynchronizer`.
`static interface` `BreakpointSynchronizer.Callback`
`static class` `BreakpointSynchronizer.Direction` Describes a direction the breakpoint synchronization should be performed in.
`static class` `BreakpointSynchronizer.ProtocolNotSupportedOnRemote`

### Constructor Summary

Constructors
Constructor and Description
`BreakpointSynchronizer(JavascriptVm javascriptVm, ChromiumSourceDirector sourceDirector, BreakpointSynchronizer.BreakpointHelper breakpointHelper, java.lang.String debugModelId)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `syncBreakpoints(BreakpointSynchronizer.Direction direction, BreakpointSynchronizer.Callback callback)` The main entry method of the class.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BreakpointSynchronizer

    public BreakpointSynchronizer(JavascriptVm javascriptVm,
                                  ChromiumSourceDirector sourceDirector,
                                  BreakpointSynchronizer.BreakpointHelper breakpointHelper,
                                  java.lang.String debugModelId)

### Method Detail

#### syncBreakpoints

    public void syncBreakpoints(BreakpointSynchronizer.Direction direction,
                                BreakpointSynchronizer.Callback callback)

The main entry method of the class. Asynchronously performs synchronization job.